Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdvisletChainElement

All Known Subinterfaces:
  AdviceTransform, Advislet

All Known Implementing Classes:
  AbstractAdviceTransform, AbstractAdvislet, CatalogQueryAdvisletImpl, ContentQueryAdvisletImpl, OutputListItemToInputTransform, OutputToInputTransform, ResultsToRulesInputTransform, RulesAdvisletImpl, RulesInputTransform

    public interface AdvisletChainElement

This interface is the common interface for all elements that can participate in an advislet chain as defined using the AdvisletRegistry.

Method Summary
`Metadata` | `getMetadata()` Returns the metadata for the Advislet.
`boolean` | `initialize(Map attributes, Object parameterDocument)` Initializes the Advislet from an XML Document Node, allowing it to read any custom parameters that it requires.

Method Detail

### initialize

    boolean initialize(Map attributes,
                       Object parameterDocument)
                       throws AdvisorException

  Initializes the Advislet from an XML Document Node, allowing it to read any custom parameters that it requires.

  Parameters
    `attributes` - the attribute map.
    `parameterDocument` - the parameter document.
  Throws
    `AdvisorException` - thrown on an error when processing the request.

### getMetadata

    Metadata getMetadata()

  Returns the metadata for the Advislet.

  Returns
    the metadata for the Advislet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.